Get Global Connection
/connections/{connectionName}
Returns details about the specified global connection.
Request
-
connectionName(required):
Connection name.
-
assertWallet:
-
password:
If set to true, the encrypted password is returned in the result.
Response
200 Response
OK
Connection details returned successfully.
400 Response
Bad Request
Failed to get connection details.
Examples
The following examples show how to get details about a specific global connection.
These examples use cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
The following example gets details about a global connection named oraConn.
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/connections/oraConn?links=none" -H Accept:application/json -u %User%:%Password%Example of Response Body - Oracle Database Connection
The following example shows the contents of the response body in JSON format, if the connection is to Oracle Database.
{
"name" : "oraConn",
"description" : "Oracle Database connection",
"type" : "DB",
"subtype" : "ORACLE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"host" : "dbhost.example.com",
"port" : 1521,
"user" : "SAMPLE",
"sid" : "orcl",
"links" : [ ]
}Example of Response Body - File Connection
The following example shows the contents of a response body in JSON format, if the connection is to a file.
{
"name" : "fileConn",
"description" : "CSV file connection",
"type" : "FILE",
"subtype" : "FILE",
"path" : "/shared/Dim_Year.csv",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"links" : [ ]
}Example of Response Body - Essbase Connection
The following example shows the contents of a response body in JSON format, if the connection is to another Essbase cube.
{
"name" : "essConn",
"description" : "Essbase 2 connection",
"type" : "ESSBASE",
"subtype" : "ESSBASE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"dbURL" : "https://esscube.example.com:9001/essbase/agent",
"user" : "admin",
"links" : [ ]
}Example of Response Body - IBM DB2 Connection
{
"name" : "DB2Conn",
"description" : "IBM DB2 connection",
"type" : "DB",
"subtype" : "DB2",
"dbURL" : "jdbc:oracle:db2://db2host.example.com:50000;DatabaseName=tbc",
"dbDriver" : "com.oracle.bi.jdbc.db2.DB2Driver",
"host" : db2host.example.com",
"port" : 50000,
"user" : "user1",
"service" : "svcname",
"links" : [ ]
}
Example of Response Body - Microsoft SQL Connection
{
"name" : "MSSQLConn",
"description" : "Microsoft SQL connection",
"type" : "DB",
"subtype" : "MS_SQL",
"dbURL" : "jdbc:oracle:sqlserver://mssqlhost.example.com:1433",
"dbDriver" : "com.oracle.bi.jdbc.sqlserver.SQLServerDriver",
"host" : "mssqlhost.example.com",
"port" : 1433,
"user" : "user1",
"links" : [ ]
}Example of Response Body - MySQL Connection
{
"name" : "MySQLConn",
"description" : "MySQL connection",
"type" : "DB",
"subtype" : "MYSQL",
"dbURL" : "jdbc:oracle:mysql://mysqlhost.example.com:3306",
"dbDriver" : "com.oracle.bi.jdbc.mysql.MySQLDriver",
"host" : "mysqlhost.example.com",
"port" : 3306,
"user" : "user1",
"links" : [ ]
}Example of Response Body - Spark Connection
{
"name" : "SparkConn",
"description" : "Spark connection",
"type" : "DB",
"subtype" : "SPARK",
"dbURL" : "jdbc:oracle:sparksql://sparkhost.example.com:10000",
"dbDriver" : "com.oracle.bi.jdbc.sparksql.SparkSQLDriver",
"host" : "sparkhost.example.com",
"port" : 10000,
"user" : "user1",
"links" : [ ]
}Example of Response Body - Oracle JDBC Connection
{
"name" : "oracle_jdbc",
"description" : "Oracle JDBC driver connection",
"type" : "DB",
"subtype" : "JDBC",
"dbURL" : "jdbc:oracle:thin:@dbhost.example.com:1521/orclpdb.example.com",
"dbDriver" : "oracle.jdbc.driver.OracleDriver",
"user" : "user1",
"links" : [ ]
}Example of Response Body - Microsoft SQL JDBC Connection
{
"name" : "mssql_jdbc",
"description" : "Microsoft SQL JDBC driver connection",
"type" : "DB",
"subtype" : "JDBC",
"dbURL" : "jdbc:sqlserver://mysqlhost.example.com:1433;databaseName=TBC",
"dbDriver" : "com.microsoft.sqlserver.jdbc.SQLServerDriver",
"user" : "TBC",
"links" : [ ]
}Example of Response Body - Teradata JDBC Connection
{
"name" : "tera_jdbc",
"description" : "Teradata JDBC driver connection",
"type" : "DB",
"subtype" : "JDBC",
"dbURL" : "jdbc:teradata://10.x.x.x/TBC",
"dbDriver" : "com.teradata.jdbc.TeraDriver",
"user" : "TBC",
"links" : [ ]
}